<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/22/2005 *
 * ===================                          Last change: 10/22/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_beg.php                                *
 * -------------------------------------------------------------------- *
 * Short description : List members in begging-rallye                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mitglieder in Bettel-Rallye auflisten            *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (getConfig('beg_rallye') == 'Y') {
	// Shall I withdraw now?
	if (isPostRequestParameterSet('withdraw')) {
		// Okay, let's prepare...
		$curr = date('m', time()) - 1;
		if (strlen($curr) == 1) $curr = '0' . $curr;
		updateConfiguration('last_month', $curr);
		loadTemplate('admin_settings_saved', false, getMessage('ADMIN_BEG_WITHDRAW_PREPARED'));
	} // END - if

	// Autopurge installed?
	$lastOnline = "%s"; $ONLINE = '';
	if (isExtensionActive('autopurge')) {
		// Use last online timestamp to keep inactive members away from here
		$lastOnline   = " AND `last_online` >= (UNIX_TIMESTAMP() - %s)";
		$ONLINE = getConfig('ap_inactive_since');
	} // END - if

	// Check if at least one is in the active rallye
	$result = SQL_QUERY_ESC("SELECT userid, email, gender, surname, family, beg_points, last_online
FROM `{?_MYSQL_PREFIX?}_user_data`
WHERE `status`='CONFIRMED' AND beg_points > 0".$lastOnline."
ORDER BY beg_points DESC, last_online DESC, userid",
	array($ONLINE), __FILE__, __LINE__);

	if (SQL_NUMROWS($result) > 0) {
		// List users
		$OUT = '';$SW = 2; $cnt = 1; $total = '0';
		while ($content = SQL_FETCHARRAY($result)) {
			// Init variables
			$WIN1 = ''; $WIN2 = '';

			// Maybe he can win his active beg?
			if ($cnt <= getConfig('beg_ranks')) {
				// Mark him
				$WIN1 = '<strong>';
				$WIN2 = '</strong>';
			} // END - if

			// Prepare content
			$content = array(
				'userid'      => $content['userid'],
				'email'       => generateEmailLink($content['email'], 'user_data'),
				'gender'      => translateGender($content['gender']),
				'surname'     => $content['surname'],
				'family'      => $content['family'],
				'turbo'       => translateComma($content['beg_points']),
				'last_online' => generateDateTime($content['last_online'], 2),
				'sw'          => $SW,
				'win1'        => $WIN1,
				'win2'        => $WIN2,
				'cnt'         => $cnt,
			);

			// Load template and add it
			$OUT .= loadTemplate('admin_list_beg_rows', true, $content);
			$SW = 3 - $SW; $cnt++; $total += $content['beg_points'];
		}

		$content['rows']  = $OUT;
		$content['total'] = translateComma($total);

		// Check if we need to display form or not with manuel withdraw
		if (getConfig('last_month') == date('m', time())) {
			// Load form
			$content['withdraw_form'] = loadTemplate('admin_list_beg_form', true);
		} else {
			// Display message "no manual withdraw possible"
			$content['withdraw_form'] = loadTemplate('admin_settings_saved', true, '<div class="admin_failed">{--ADMIN_BEG_ALREADY_WITHDRAW--}</div>');
		}

		// Prepare constant for timemark
		if (isExtensionActive('autopurge')) {
			$content['autopurge_timeout'] = generateDateTime(time() - getConfig('ap_inactive_since'), 2);
		} else {
			$content['autopurge_timeout'] = loadTemplate('admin_settings_saved', true, getMaskedMessage('EXTENSION_PROBLEM_EXTENSION_NOT_INSTALLED', 'autopurge'));
		}

		// Load final template
		loadTemplate('admin_list_beg', false, $content);
	} else {
		// No one has joined the begging rallye...
		loadTemplate('admin_settings_saved', false, getMessage('ADMIN_BEG_NO_RALLYE'));
	}
} else {
	// Rallye deactivated
	loadTemplate('admin_settings_saved', false, getMessage('ADMIN_BEG_RALLYE_DEACTIVATED'));
}

// [EOF]
?>
