<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/31/2008 *
 * ===================                          Last change: 08/31/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_surfbar_urls.php                       *
 * -------------------------------------------------------------------- *
 * Short description : List all URLs in surfbar and sync from mail pool *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle URLs in Surfbar auflisten und syncen        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// By default show the list...
$show = true;

// Check for 'url_id' element
if ((countRequestPost() > 0) && ((!isPostRequestParameterSet('url_id')) || (!is_array(postRequestParameter('url_id'))) || (count(postRequestParameter('url_id')) == 0))) {
	// Not found so output message
	loadTemplate('admin_settings_saved', false, getMessage('ADMIN_SURFBAR_NO_SELECTIONS'));

	// Abort here
	return;
} // END - if

// Edit or delete button hit?
if (isFormSent('edit')) {
	// Show entries for editing
	adminEditEntriesConfirm(
		postRequestParameter('url_id'),
		'surfbar_urls',
		array('url_id', 'url_userid', 'url'),
		array('bigintval', 'addMemberSelectionBox', ''),
		array('', array(false, true, true, 'url_userid[]'), ''),
		false,
		'url_id',
		'url_userid',
		'url_userid'
	);
	$show = false;
} elseif (isPostRequestParameterSet('do_edit')) {
	// Change data of entries
	adminEditEntriesConfirm(
		postRequestParameter('url_id'),
		'surfbar_urls',
		array(),
		array(),
		array(),
		true,
		'url_id',
		'url_userid',
		'url_userid'
	);
} elseif (isPostRequestParameterSet('delete')) {
	// Show entries for deletion
	adminDeleteEntriesConfirm(
	postRequestParameter('url_id'),
		'surfbar_urls',
		array('url_id', 'url_userid', 'url', 'url_registered'),
		array('bigintval', 'generateUserProfileLink', 'generateFrametesterUrl', ''),
		array('', '', '', ''),
		false,
		'url_id',
		'url_userid',
		'url_userid'
	);
	$show = false;
} elseif (isPostRequestParameterSet('do_delete')) {
	// Remove entries from database
	adminDeleteEntriesConfirm(postRequestParameter('url_id'), 'surfbar_urls', array(), array(), array(), true, 'url_id');
} elseif (isFormSent('lock')) {
	// Un-/lock selected URLs. This does not work for pending URLs
	adminLockEntriesConfirm(
		postRequestParameter('url_id'),
		'surfbar_urls',
		array('url_id', 'url_userid', 'url', 'url_registered', 'url_status'),
		array('bigintval', 'generateUserProfileLink', 'generateFrametesterUrl', '', 'translateSurfbarUrlStatus'),
		array('', '', '', '', ''),
		false,
		'url_id',
		'url_userid',
		'url_userid'
	);
	$show = false;
} elseif (isPostRequestParameterSet('do_lock')) {
	// Un-/lock selected URLs. This does not work for pending URLs
	adminLockEntriesConfirm(
		postRequestParameter('url_id'),
		'surfbar_urls',
		array(),
		array(),
		array(),
		array('url_status' => array('ACTIVE' => 'LOCKED', 'LOCKED' => 'ACTIVE')),
		true,
		'url_id',
		'url_userid',
		'url_userid'
	);
} elseif (isPostRequestParameterSet('undelete')) {
	// Undelete selected URLs. This does only work for deleted URLs... ;-)
	adminUndeleteEntriesConfirm(
		postRequestParameter('url_id'),
		'surfbar_urls',
		array('url_id', 'url_userid', 'url', 'url_registered', 'url_status'),
		array('bigintval', 'generateUserProfileLink', 'generateFrametesterUrl', '', 'translateSurfbarUrlStatus'),
		array('', '', '', '', ''),
		false,
		'url_id',
		'url_userid',
		'url_userid'
	);
	$show = false;
} elseif (isPostRequestParameterSet('do_undelete')) {
	// Undelete selected URLs. This does only work for deleted URLs... ;-)
	adminUndeleteEntriesConfirm(
		postRequestParameter('url_id'),
		'surfbar_urls',
		array(),
		array(),
		array(),
		array('url_status' => array('DELETED' => 'ACTIVE')),
		true,
		'url_id',
		'url_userid',
		'url_userid'
	);
}

// Show entries?
if ($show === false) return false;

// List all URLs
$result = SQL_QUERY("SELECT
	`url_id`, `url_userid`, `url`, `url_views_total`, `url_status`,
	UNIX_TIMESTAMP(`url_registered`) AS `url_registered`,
	UNIX_TIMESTAMP(`url_last_locked`) AS `url_last_locked`,
	`url_lock_reason`
FROM
	`{?_MYSQL_PREFIX?}_surfbar_urls`
ORDER BY
	`url_id` ASC", __FILE__, __LINE__);

// Do we have some URLs left?
if (SQL_NUMROWS($result) > 0) {
	// List all URLs
	$OUT = ''; $SW = 2;
	while ($content = SQL_FETCHARRAY($result)) {
		// "Translate"/add content
		$content['sw']              = $SW;
		$content['url_registered']  = generateDateTime($content['url_registered'], 2);
		$content['url_last_locked'] = generateDateTime($content['url_last_locked'], 2);
		if (empty($content['url_lock_reason'])) $content['url_lock_reason'] = '---';

		// Load row template
		$OUT .= loadTemplate('admin_list_surfbar_urls_row', true, $content);

		// Switch color
		$SW = 3 - $SW;
	} // END - while

	// Load main template
	loadTemplate('admin_list_surfbar_urls', false, $OUT);
} else {
	// No URLs in surfbar
	loadTemplate('admin_settings_saved', false, getMessage('ADMIN_SURFBAR_NO_URLS_FOUND'));
}

// Free result
SQL_FREERESULT($result);

// [EOF]
?>
